﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SqlServer.Server;

namespace CPE.Utilities
{
    public static class Result
    {
        public static string PassResultText
        {
            get
            {
                string path = "~/static/doc/PassResultText.html";
                string filePath = System.Web.HttpContext.Current.Server.MapPath(path);
                return System.IO.File.ReadAllText(filePath);
            }
        }
        public static string FailResultText
        {
            get
            {
                string path = "~/static/doc/FailResultText.html";
                string filePath = System.Web.HttpContext.Current.Server.MapPath(path);
                return System.IO.File.ReadAllText(filePath);
            }
        }
        public static string IneligibleResultText
        {
            get
            {
                string path = "~/static/doc/IneligibleResultText.html";
                string filePath = System.Web.HttpContext.Current.Server.MapPath(path);
                return System.IO.File.ReadAllText(filePath);
            }
        }
        public static string WonkyResultText
        {
            get
            {
                string path = "~/static/doc/WonkyResultText.html";
                string filePath = System.Web.HttpContext.Current.Server.MapPath(path);
                return System.IO.File.ReadAllText(filePath);
            }
        }

        //public static string RenderPassResult(int principalid, string certURl)
        //{
        //    string html = PassResultText;
        //    html = html.Replace("[principalid]", principalid.ToString());
        //    html = html.Replace("certUrl", certURl);
        //    return html;
        //}

        public static string RenderPassResult(int principalid)
        {
            string html = PassResultText;
            html = html.Replace("[principalid]", principalid.ToString());
            return html;
        }

        public static string RenderCertLink(int meetingSco, DateTime purchaseDate, string ticket)
        {
            string meetingUrl = meetingSco.ToString();
            var certLink = ConfigurationManager.AppSettings["CertLink"];
            var certURl = string.Format(certLink, meetingUrl, purchaseDate.ToString("yyyyMMdd"), ticket);
            return certURl;
        }

        public static string RenderFailResult(int principalid)
        {
            string html = FailResultText;
            html = html.Replace("[principalid]", principalid.ToString());
            return html;
        }

        public static string RenderIneligibleResult(int principalid)
        {
            string html = IneligibleResultText;
            html = html.Replace("[principalid]", principalid.ToString());
            return html;
        }

        public static string RenderWonkyResult()
        {
            string html = WonkyResultText;
            return html;
        }
    }
}
